Subject: [alpine-aports] [PATCH 1/2] testing/girara: new aport

From: Andrew Hills <[email-masked]>
Date: Sun, 7 Jun 2015 01:05:33 +0000

https://pwmt.org/projects/girara
GTK+3 user interface library
---
 testing/girara/APKBUILD | 34 ++++++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)
 create mode 100644 testing/girara/APKBUILD

diff --git a/testing/girara/APKBUILD b/testing/girara/APKBUILD
new file mode 100644
index 0000000..5ebb318
--- /dev/null
+++ b/testing/girara/APKBUILD
@@ -0,0 +1,34 @@
+# Contributor: Andrew Hills <[email-masked]>
+# Maintainer: Andrew Hills <[email-masked]>
+pkgname=girara
+pkgver=0.2.4
+pkgrel=0
+pkgdesc="GTK+3 user interface library"
+url="https://pwmt.org/projects/girara"
+arch="all"
+license="zlib"
+depends=""
+depends_dev=""
+makedepends="$depends_dev gtk+3.0-dev ncurses doxygen"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
+source="https://pwmt.org/projects/girara/download/girara-$pkgver.tar.gz"
+
+_builddir="$srcdir"/girara-$pkgver
+build() {
+	cd "$_builddir"
+	make || return 1
+	make doc
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	mkdir -m 0755 -p "$pkgdir"/usr/share/doc || return 1
+	cp -r "$_builddir"/doc/build/html "$pkgdir"/usr/share/doc/zathura || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="f22a75b51cf88f241096e230985f28db  girara-0.2.4.tar.gz"
+sha256sums="2ee04e4c0e700d455ebaf92f804355f948754e7d3751d409db6595419e6ece5e  girara-0.2.4.tar.gz"
+sha512sums="9e22c6beb1d85a84db7b014da12fe425dced36e5ef9cd5828303d438642e09943fc9ae150b925f8b8ea5bd4e8bf8803ee964ce400e67b3ea314a4dec0a4643b4  girara-0.2.4.tar.gz"
-- 
2.4.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Andrew Hills <[email-masked]>
Date: Sun, 7 Jun 2015 01:05:34 +0000

https://pwmt.org/projects/zathura
Document viewer with Vim-like controls
---
 testing/zathura/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/zathura/APKBUILD

diff --git a/testing/zathura/APKBUILD b/testing/zathura/APKBUILD
new file mode 100644
index 0000000..0d70b94
--- /dev/null
+++ b/testing/zathura/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Andrew Hills <[email-masked]>
+# Maintainer: Andrew Hills <[email-masked]>
+pkgname=zathura
+pkgver=0.3.3
+pkgrel=0
+pkgdesc="Document viewer with Vim-like controls"
+url="https://pwmt.org/projects/zathura"
+arch="all"
+license="zlib"
+depends=""
+depends_dev=""
+makedepends="$depends_dev girara-dev gtk+3.0-dev glib-dev file-dev ncurses"
+install=""
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
+source="https://pwmt.org/projects/zathura/download/zathura-$pkgver.tar.gz"
+
+_builddir="$srcdir"/zathura-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="d360252210ce51a29e8d341b1b72a7cc  zathura-0.3.3.tar.gz"
+sha256sums="3347decfc8d4b918a6bca1d44657c3b97d4afcea3c8c1f162c57198b13e8dce7  zathura-0.3.3.tar.gz"
+sha512sums="0bfcb2c9ca6e7cf44db1c04fdcc5e1e2122b5bd060c10b711a331f885371a523881a46376c770b60cf199530fd9c7814248e8a6da556da8cd464a3a85dbad8e3  zathura-0.3.3.tar.gz"
-- 
2.4.2

---